Bug 57267 - Document /save command in ManagerServlet and StoreConfig feature
Document /save command in ManagerServlet and StoreConfig feature
Status: RESOLVED FIXED
Product: Tomcat 8
Classification: Unclassified
Component: Documentation
8.0.15
PC All
: P2 minor (vote)
: ----
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2014-11-26 13:54 UTC by Konstantin Kolinko
Modified: 2014-12-14 22:38 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2014-11-26 13:54:08 UTC
The ManagerServlet in manager web application supports command "/save", which is undocumented neither in manager-howto.html, nor listed in javadoc of ManagerServlet.

There is no documentation of StoreConfigLifecycleListener in
http://tomcat.apache.org/tomcat-8.0-doc/config/listeners.html

The "/save" command itself is rather old (it is present in Tomcat 6 code and likely in 5.5 as well), but the storeconfig feature was missing from Tomcat 6 and 7 and was re-introduced in Tomcat 8 (r1442161). It needs documentation.
Comment 1 Oleg Trokhov 2014-12-03 11:04:37 UTC
Sorry if it naive question, but i have error "FAIL - Encountered exception javax.management.InstanceNotFoundException: Catalina:type=StoreConfig" when call command "/save".
When I debug, I found that programm cant pass StandartServer.storeContext() method. What can you  advise me?
Comment 2 Mark Thomas 2014-12-14 22:38:31 UTC
Fixed in trunk and 8.0.x for 8.0.16 onwards.